## org.eclipse.datatools.connectivity.ui.wizards
Class NewConnectionProfileWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizardPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISkippable, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.datatools.connectivity.internal.ui.wizards.IWizardAction, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class NewConnectionProfileWizardPage

extends org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
implements org.eclipse.help.IContextProvider

Author:
  shongxum

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`NewConnectionProfileWizardPage()` Constructor
`NewConnectionProfileWizardPage(java.lang.String name)` Constructor

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` `getAutoConnect()`
`boolean` `getAutoConnectOnFinish()`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getProfileDescription()`
`java.lang.String` `getProfileName()`
`IConnectionProfile` `getRepository()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`java.util.List` `getSummaryData()`
`void` `setAutoConnect(boolean selection)`
`void` `setAutoConnectOnFinish(boolean selection)`
`void` `setProfileDescription(java.lang.String desc)`
`void` `setProfileName(java.lang.String name)`
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
`getSkippable, onSetActive, onWizardNext, setNeedMediation, setSkippable`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### NewConnectionProfileWizardPage

    public NewConnectionProfileWizardPage()

  Constructor

### NewConnectionProfileWizardPage

    public NewConnectionProfileWizardPage(java.lang.String name)

  Constructor

  Parameters:
    `name` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### getProfileName

    public java.lang.String getProfileName()

### setProfileName

    public void setProfileName(java.lang.String name)

### getProfileDescription

    public java.lang.String getProfileDescription()

### setProfileDescription

    public void setProfileDescription(java.lang.String desc)

### getAutoConnect

    public boolean getAutoConnect()

### getAutoConnectOnFinish

    public boolean getAutoConnectOnFinish()

### setAutoConnect

    public void setAutoConnect(boolean selection)

### setAutoConnectOnFinish

    public void setAutoConnectOnFinish(boolean selection)

### getSummaryData

    public java.util.List getSummaryData()

  Specified by:
    `getSummaryData` in interface `org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource`
  Overrides:
    `getSummaryData` in class `org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage`

### getRepository

    public IConnectionProfile getRepository()

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`